| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEngineSectorCallback Struct Reference
[Crystal Space 3D Engine]

A callback that will be fired whenever a sector is created or removed from the engine. More...

`#include <iengine/engine.h>`

Inheritance diagram for iEngineSectorCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | NewSector (iEngine *engine, iSector *sector)=0
| New sector.
virtual void | RemoveSector (iEngine *engine, iSector *sector)=0
| Remove sector.

## Detailed Description

A callback that will be fired whenever a sector is created or removed from the engine.

This callback is used by:

- iEngine

Definition at line 147 of file engine.h.

## Member Function Documentation

virtual void iEngineSectorCallback::NewSector | ( | iEngine * | engine,
|  | iSector * | sector |
| ) |  |  | `[pure virtual]`

New sector.

virtual void iEngineSectorCallback::RemoveSector | ( | iEngine * | engine,
|  | iSector * | sector |
| ) |  |  | `[pure virtual]`

Remove sector.

The documentation for this struct was generated from the following file:

- iengine/engine.h